OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> ipkg & add/remove software not recognizing all .ipk file
jim-in-baltimore
post Feb 27 2004, 08:52 PM
Post #1





Group: Members
Posts: 10
Joined: 27-February 04
Member No.: 2,074



I have an SL-5500 with Sharp 3.10 ROM.

Software installation is currently selectively broken.

I downloaded various versions of the IRK package & put them on my CF card. When I try to install them,none of the IRK's appear on the list of available packges,while plenty of other packages show up. When I try to install from the command line, I get the error

mkdir: Cannot create directory `//home/tmp/ipkg/irk-sl5600': Permission denied

The output of ipkg then suggests that I run "ipkg update" which then attempts to connect to http://www.gnurou.org/, which is a site definitely not associated with Sharp.

What the heck is going on? Has some package from gnurou.org replaced my ipkg app? :evil: This particular version of ipkg seems to be somewhat incompetent, if it is trying to create a directory with two prepended slashes.

Now here's the interesting thing... I had already installed and then uninstalled one of the IRK packages. I think my ipkg has been replaced or damaged somehow.

Any insight will be appreciated.
Go to the top of the page
 
+Quote Post
lardman
post Feb 28 2004, 03:24 AM
Post #2





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



You probably need to be root to install from the command line. I don't know about the double slashes.

There are different ipk formats (ar and tar.gz), Sharp only supports tar.gz.

Si
Go to the top of the page
 
+Quote Post
raynardo
post Mar 2 2004, 10:11 AM
Post #3





Group: Members
Posts: 5
Joined: 12-June 03
Member No.: 122



One of the things that I noticed (finally) was that installing IPK's from a card (either SD or CF) wasn't always successful. But when I copied that same file to the Z's internal memory and then attempted the install, I was 100% successful....go figure!
Go to the top of the page
 
+Quote Post
Ethereal
post Mar 3 2004, 06:16 AM
Post #4





Group: Members
Posts: 236
Joined: 17-February 04
From: Gainesville, FL
Member No.: 1,914



I've experienced a similar problem: the kismet ipk I D/L'd from the ZSI is selectively ignored (not even in the list of installable packages) by "Add/Remove Software." I've tried it on the SD card as well as internal flash, but while very other .ipk in the Install_Files directory is recognised and listed, it is not.

My Sharp 1.32 ROM didn't seem to include a console-based ipkg installer, so I D/L'd the one from the ZUG feed and installed it. (When I did, the GUI installer gave me the semi-English message that I think means unresolved dependencies, but the ipkg app itself seems to run fine.) When asked to install the kiskmet .ipk, it appears to run, outputs no message, but neither does it appear to install the package...what's going on?
Go to the top of the page
 
+Quote Post
renato
post Mar 7 2004, 02:18 PM
Post #5





Group: Members
Posts: 10
Joined: 11-February 04
Member No.: 1,804



QUOTE
I get the error 

mkdir: Cannot create directory `//home/tmp/ipkg/irk-sl5600': Permission denied


I had the same problem (today, when trying installing slrn).
As root, the message was that ipkg was unable to decompress properly the tgz file...
Go to the top of the page
 
+Quote Post
renato
post Mar 14 2004, 02:09 PM
Post #6





Group: Members
Posts: 10
Joined: 11-February 04
Member No.: 1,804



QUOTE
There are different ipk formats (ar and tar.gz), Sharp only supports tar.gz.


in fact, I am getting zcat: unzip_5.24_arm.ipk: noy in gzip format
zcat: stdin: unexpected end-of-file
ipkg_install_file: ERROR unpackaging control.tar.gz from unzip_5.24_arm.ipk

Is there a workaround for this? (currently, I can zip but I am unable to unzip :-(
Go to the top of the page
 
+Quote Post
bluebird
post May 30 2004, 03:14 AM
Post #7





Group: Members
Posts: 1
Joined: 6-February 04
Member No.: 1,733



Getting zcat error too with ipkg install zsafe_2.1.3_arm.ipk.

Successfull workaround:

tar -xvf zsafe_2.1.3_arm.ipk on my linux box (SuSe 9.1).

Then rebuilding the package with: tar -zcvf zsafe_2.1.3._arm.ipk ./debian-binary ./data.tar.gz ./control.tar.gz
New builded package should have same name as the old one.


C760 Cacko ROM
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd July 2014 - 11:36 AM